> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /hh/vacancies/similar

> Get HeadHunter vacancies similar to a given vacancy

**Price:** 10 credits per 50 results

**⚠️ Common errors:** 412: Source vacancy not found or archived



## OpenAPI

````yaml /openapi/jobs.json post /api/hh/vacancies/similar
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/hh/vacancies/similar:
    post:
      tags:
        - /hh
      summary: /hh/vacancies/similar
      description: |-
        Get HeadHunter vacancies similar to a given vacancy

        **Price:** 10 credits per 50 results

        **⚠️ Common errors:** 412: Source vacancy not found or archived
      operationId: __api_hh_vacancies_similar_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HhVacancySimilarPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HhSimilarVacancyItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HhVacancySimilarPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        vacancy_id:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - vacancy_id
        - count
    HhSimilarVacancyItem:
      properties:
        '@type':
          type: string
          default: HhSimilarVacancyItem
        id:
          type: integer
        name:
          type: string
        url:
          type: string
        salary:
          anyOf:
            - $ref: '#/components/schemas/HhSalary'
            - type: 'null'
        employer:
          anyOf:
            - $ref: '#/components/schemas/HhVacancyEmployer'
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/HhVacancyAddress'
            - type: 'null'
        area_id:
          anyOf:
            - type: integer
            - type: 'null'
        area_name:
          anyOf:
            - type: string
            - type: 'null'
        experience:
          anyOf:
            - type: string
            - type: 'null'
        employment_form:
          anyOf:
            - type: string
            - type: 'null'
        work_formats:
          items:
            type: string
          type: array
          default: []
        work_schedule_by_days:
          items:
            type: string
          type: array
          default: []
        working_hours:
          items:
            type: string
          type: array
          default: []
        night_shifts:
          anyOf:
            - type: boolean
            - type: 'null'
        internship:
          anyOf:
            - type: boolean
            - type: 'null'
        accept_labor_contract:
          anyOf:
            - type: boolean
            - type: 'null'
        professional_role_ids:
          items:
            type: integer
          type: array
          default: []
        platforms:
          items:
            type: string
          type: array
          default: []
        response_count:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        is_premium:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HhSalary:
      properties:
        '@type':
          type: string
          default: HhSalary
        salary_from:
          anyOf:
            - type: integer
            - type: 'null'
        salary_to:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        is_gross:
          anyOf:
            - type: boolean
            - type: 'null'
        mode:
          anyOf:
            - type: string
            - type: 'null'
        mode_label:
          anyOf:
            - type: string
            - type: 'null'
        frequency:
          anyOf:
            - type: string
            - type: 'null'
        frequency_label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HhVacancyEmployer:
      properties:
        '@type':
          type: string
          default: HhVacancyEmployer
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        is_accredited_it:
          anyOf:
            - type: boolean
            - type: 'null'
        is_trusted:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    HhVacancyAddress:
      properties:
        '@type':
          type: string
          default: HhVacancyAddress
        city:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        building:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lng:
          anyOf:
            - type: number
            - type: 'null'
        metro_stations:
          items:
            $ref: '#/components/schemas/HhMetroStation'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    HhMetroStation:
      properties:
        '@type':
          type: string
          default: HhMetroStation
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        line_color:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````